Skip to main content
POST
/
channel-api
/
v1.0
/
media
/
images
Register an uploaded image into the shop's media library
curl --request POST \
  --url https://api.fourthwall.com/channel-api/v1.0/media/images \
  --header 'Content-Type: application/json' \
  --data '
{
  "fileUrl": "<string>",
  "width": 123,
  "height": 123
}
'
import requests

url = "https://api.fourthwall.com/channel-api/v1.0/media/images"

payload = {
"fileUrl": "<string>",
"width": 123,
"height": 123
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({fileUrl: '<string>', width: 123, height: 123})
};

fetch('https://api.fourthwall.com/channel-api/v1.0/media/images', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "uri": "<string>",
  "width": 123,
  "height": 123
}
This endpoint is in beta and subject to change.

Body

application/json
fileUrl
string
required

URL of the uploaded artwork, as returned by POST /upload-url (fileUrl).

width
integer<int32>
required

Pixel width of the uploaded artwork.

height
integer<int32>
required

Pixel height of the uploaded artwork.

Response

201 - application/json

Created

id
string
required

Media image id. Pass this as a region's imageId to POST /previews.

uri
string
required
width
integer<int32>
required
height
integer<int32>
required